CVE-2018-15694

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

ASUSTOR Data Master 3.1.5 and below allows authenticated remote non-administrative users to upload files to arbitrary locations due to a path traversal vulnerability. This could lead to code execution if the "Web Server" feature is enabled.

References

https://www.tenable.com/security/research/tra-2018-22

Details

Source: MITRE

Published: 2018-08-27

Updated: 2018-10-30

Type: CWE-22

Risk Information

CVSS v2

Base Score: 6

Vector: AV:N/AC:M/Au:S/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 6.8

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:asustor:data_master:*:*:*:*:*:*:*:* versions up to 3.1.5 (inclusive)

Tenable Plugins

View all (1 total)

IDNameProductFamilySeverity
112115ASUSTOR Data Master < 3.1.6 Multiple VulnerabilitiesNessusCGI abuses
medium